### Function

# Adw LengthUnit from_px

since: 1.4

#### Declaration [src]

    double
    adw_length_unit_from_px (
      AdwLengthUnit unit,
      double value,
      GtkSettings* settings
    )

#### Description [src]

Converts `value` from pixels to `unit`.

Available since: 1.4

#### Parameters

`unit`

  Type: `AdwLengthUnit`

  A length unit.

`value`

  Type: `double`

  A value in pixels.

`settings`

  Type: `GtkSettings`

  Settings to use, or `NULL` for default settings.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `double`

The length in `unit`.